Gentoo Archives: gentoo-commits

From: "Manuel Rüger" <mrueg@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/goland/
Date: Mon, 16 Apr 2018 14:25:30
Message-Id: 1523888711.966ca473a5ceb8e6bb268b7e2bf5eb0af3b9556e.mrueg@gentoo
commit:     966ca473a5ceb8e6bb268b7e2bf5eb0af3b9556e
Author:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 16 14:25:11 2018 +0000
Commit:     Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Mon Apr 16 14:25:11 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=966ca473

dev-util/goland: Version bump to 2018.1.1

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 dev-util/goland/Manifest               |  1 +
 dev-util/goland/goland-2018.1.1.ebuild | 45 ++++++++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-util/goland/Manifest b/dev-util/goland/Manifest
index cc7e4b23be8..f0d44629e74 100644
--- a/dev-util/goland/Manifest
+++ b/dev-util/goland/Manifest
@@ -1,3 +1,4 @@
 DIST goland-2017.3.2.tar.gz 214008724 BLAKE2B 682860f2dfaa96a97ac91eed2a49aa4ee524154df5ba10936b1cc2f816e837b21b27f9da9641c06e5b028fb44d03933abc6b64b87e286e1c38a4c08b92dd2626 SHA512 3488905d1c8944b80f24d40e910da2c04f06ee6dcc08620ffbc7b96c0214d28e00f36b85a178ee9ede8c08fda89294e0d10b99c6929eb595284fc937270e17a5
 DIST goland-2017.3.3.tar.gz 214166755 BLAKE2B b110123b521280e3b120c4277851f5e110b71d882c90ccabb4045eb0f7c2123d514674b8cb7fc726861787b699a573e3189febead8b402dbf542ac22d6787b7c SHA512 18bc2be621408107f7bcc8b359f07ee8b933a9357f21d272196b5d04d411a720bb8643ac2788ecdc4ee6313b23a39f60e3a28776622b3355d80a73e3197abee4
+DIST goland-2018.1.1.tar.gz 218213751 BLAKE2B 4fda04b45da9757e829158a8e6079cb5df9ed3c02b06268169b403258f93a70bb4861b2a85349caaabdcc6c300b95b91989f7957780c7fecf2334530e90ecf97 SHA512 642eda4359da203c282cae2ec855efde0785b59f613070d4f29cafe9ae79fd8dfdc0fac26bc27246ece7178455ab6eda1a278cccf97fd500712972b34f1c1ab2
 DIST goland-2018.1.tar.gz 217959144 BLAKE2B 7d5bf222f99b1bc580faf29f54e0f603237d0d3c096690ca9f7944daf991dfab638e788c5f11d7ff4ed59ed471ff93d9e18d69577c50be1b2df505c58ae7e495 SHA512 f731a1dd9e1c26d318bcf700ca8b7e7ce6c2868e9e65e6ccbf9e9b980bdd484d1faf3a2a0cba16d1c27a42a9cec79c95dc7faf6135d2085bbab248ebe9870149

diff --git a/dev-util/goland/goland-2018.1.1.ebuild b/dev-util/goland/goland-2018.1.1.ebuild
new file mode 100644
index 00000000000..d46b730ae46
--- /dev/null
+++ b/dev-util/goland/goland-2018.1.1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils
+
+SLOT=0
+
+SRC_URI="http://download.jetbrains.com/go/${P}.tar.gz"
+DESCRIPTION="Golang IDE by JetBrains"
+HOMEPAGE="http://www.jetbrains.com/go"
+
+KEYWORDS="~amd64"
+LICENSE="IDEA
+	|| ( IDEA_Academic IDEA_Classroom IDEA_OpenSource IDEA_Personal )"
+
+QA_PREBUILT="opt/${P}/*"
+
+S=${WORKDIR}/GoLand-${PV}
+
+RDEPEND="dev-lang/go"
+
+src_prepare() {
+	default
+	if ! use arm; then
+		rm -rf bin/fsnotifier-arm || die
+	fi
+}
+
+src_install() {
+	local dir="/opt/${P}"
+
+	insinto "${dir}"
+	doins -r *
+	fperms 755 "${dir}"/bin/{${PN}.sh,fsnotifier{,64}}
+
+	make_wrapper "${PN}" "${dir}/bin/${PN}.sh"
+	newicon "bin/${PN}.png" "${PN}.png"
+	make_desktop_entry "${PN}" "gogland" "${PN}" "Development;IDE;"
+
+	# recommended by: https://confluence.jetbrains.com/display/IDEADEV/Inotify+Watches+Limit
+	mkdir -p "${D}/etc/sysctl.d/" || die
+	echo "fs.inotify.max_user_watches = 524288" > "${D}/etc/sysctl.d/30-idea-inotify-watches.conf" || die
+}